# Archimonde Raid Buttons (ARB)

Simple raid buttons for tanks. The buttons announce special instructions to the raid when clicked.
- Taunt - announces to and whispers the other tank to taunt (usable oustside Arch fight)
- Stack - announces to the raid to stack on the tanks 
- Spread - announces to the raid to spread out 
- Chains - announces to the raid to break their chains (Arch specific)
- Tanks - sets raid icons on you and your focus (usable anytime)
- Add management - instructs the ranged to use threat transferring skills, such as Misdirection / Tricks of the Trade (usable for any fight where adds are plentiful)
- Current theme matches SyncUI theme

**Usage :**
- show the buttons - /arb show
- hide the buttons - /arb hide

**Features :**
- Draggable
- 5 instruction buttons
- 1 lucky charms button
- Low memory consumption
- Sends messages to /rw if user is raid leader or raid assist, else it sends to /i, /raid, /party or /yell 

**Todo :**
- version 2 testing

3 download locations to choose from :
- Github - https://jeffgl77.github.io/ARB/
- Curse - http://mods.curse.com/addons/wow/archimonde-raid-buttons-arb
- Curseforge - http://wow.curseforge.com/addons/archimonde-raid-buttons-arb/

# Testers needed
Please contact me either on curse, curseforge, github or in-game for information on beta testing